Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.i2ptunnel
Class I2PTunnelHTTPBidirServer

    java.lang.Object
      net.i2p.i2ptunnel.I2PTunnelTask
          net.i2p.i2ptunnel.I2PTunnelServer
              net.i2p.i2ptunnel.I2PTunnelHTTPServer
                  net.i2p.i2ptunnel.I2PTunnelHTTPBidirServer

All Implemented Interfaces:
  Runnable, EventDispatcher

    public class I2PTunnelHTTPBidirServer

extends I2PTunnelHTTPServer

Field Summary

Fields inherited from class net.i2p.i2ptunnel.I2PTunnelServer
`__serverId, _log, bidir, i2pss, localPort, readTimeout, remoteHost, remotePort, slock, sockMgr, task`

Fields inherited from class net.i2p.i2ptunnel.I2PTunnelTask
`open`

Constructor Summary
`I2PTunnelHTTPBidirServer(InetAddress host, int port, int proxyport, File privkey, String privkeyname, String spoofHost, Logging l, EventDispatcher notifyThis, I2PTunnel tunnel)`
`I2PTunnelHTTPBidirServer(InetAddress host, int port, int proxyport, InputStream privData, String privkeyname, String spoofHost, Logging l, EventDispatcher notifyThis, I2PTunnel tunnel)`
`I2PTunnelHTTPBidirServer(InetAddress host, int port, int proxyport, String privData, String spoofHost, Logging l, EventDispatcher notifyThis, I2PTunnel tunnel)`

Method Summary

Methods inherited from class net.i2p.i2ptunnel.I2PTunnelHTTPServer
`blockingHandle, formatHeaders, readHeaders`

Methods inherited from class net.i2p.i2ptunnel.I2PTunnelServer
`close, getHandlerCount, getReadTimeout, run, setReadTimeout, shouldUsePool, startRunning`

Methods inherited from class net.i2p.i2ptunnel.I2PTunnelTask
`attachEventDispatcher, detachEventDispatcher, disconnected, errorOccurred, getEventDispatcher, getEvents, getEventValue, getId, getTunnel, ignoreEvents, isOpen, notifyEvent, reportAbuse, routerDisconnected, setId, setName, setTunnel, toString, unIgnoreEvents, waitEventValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### I2PTunnelHTTPBidirServer

    public I2PTunnelHTTPBidirServer(InetAddress host,
                                    int port,
                                    int proxyport,
                                    String privData,
                                    String spoofHost,
                                    Logging l,
                                    EventDispatcher notifyThis,
                                    I2PTunnel tunnel)

### I2PTunnelHTTPBidirServer

    public I2PTunnelHTTPBidirServer(InetAddress host,
                                    int port,
                                    int proxyport,
                                    File privkey,
                                    String privkeyname,
                                    String spoofHost,
                                    Logging l,
                                    EventDispatcher notifyThis,
                                    I2PTunnel tunnel)

### I2PTunnelHTTPBidirServer

    public I2PTunnelHTTPBidirServer(InetAddress host,
                                    int port,
                                    int proxyport,
                                    InputStream privData,
                                    String privkeyname,
                                    String spoofHost,
                                    Logging l,
                                    EventDispatcher notifyThis,
                                    I2PTunnel tunnel)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD